import { Property, ShorthandProperty, Style, ViewBase } from '@nativescript/core';
import { Paint } from './Paint';
export declare const matrixProperty: Property<Group, DOMMatrix>;
export declare const originProperty: ShorthandProperty<Style, {
    x: number;
    y: number;
}>;
export declare const transformProperty: Property<Group, any>;
export declare class Group extends Paint {
    _children: Set<Paint>;
    _matrix: DOMMatrix;
    origin: {
        x: number;
        y: number;
    };
    transform: any;
    constructor();
    draw(): void;
    _addViewToNativeVisualTree(view: ViewBase, atIndex?: number): boolean;
    _removeViewFromNativeVisualTree(view: ViewBase): void;
}
